Skip to main content
GET
/
jobs
List All Jobs
curl --request GET \
  --url https://api.crosoftware.com/v0/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/jobs"

headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "current_limit": 123,
  "current_page": 123,
  "results": [
    {
      "add_to_routes": "<string>",
      "add_to_routes_settings": [
        {
          "id": 123,
          "priority": 123,
          "skip": true
        }
      ],
      "additional_items": [
        {
          "deduct_weight": "<string>",
          "description": "<string>",
          "heavy_weight": "<string>",
          "id": 123,
          "is_completed": true,
          "is_declined": true,
          "is_failed": true,
          "job_id": 123,
          "light_weight": "<string>",
          "material_item_id": 123,
          "notes": "<string>",
          "quantity": "<string>",
          "required": true
        }
      ],
      "alternate_drop_type_id": 123,
      "arrived_at_destination_on": "2023-11-07T05:31:56Z",
      "arrived_on": "2023-11-07T05:31:56Z",
      "asset": {
        "asset_type": {
          "deleted": true,
          "id": 123,
          "is_default": true,
          "location_id": 123,
          "name": "<string>",
          "quantity": 123,
          "require_numbers": true,
          "weight": "<string>"
        },
        "asset_type_id": 123,
        "cluster": 123,
        "customer_id": 123,
        "description": "<string>",
        "dispatched_on": "2023-11-07T05:31:56Z",
        "id": 123,
        "is_returned": true,
        "last_activity_on": "2023-11-07T05:31:56Z",
        "last_rental_invoice_on": "2023-11-07T05:31:56Z",
        "latitude": "<string>",
        "location": {
          "id": 123,
          "latitude": "<string>",
          "line_1": "<string>",
          "locality": "<string>",
          "longitude": "<string>",
          "region": "<string>",
          "line_2": "<string>",
          "line_3": "<string>",
          "line_4": "<string>",
          "postcode": "<string>"
        },
        "location_id": 123,
        "longitude": "<string>",
        "number": "<string>",
        "quantity": 123,
        "returned_on": "2023-11-07T05:31:56Z"
      },
      "asset_dropped_id": 123,
      "asset_id": 123,
      "asset_quantity": 123,
      "asset_type": {
        "deleted": true,
        "id": 123,
        "is_default": true,
        "location_id": 123,
        "name": "<string>",
        "quantity": 123,
        "require_numbers": true,
        "weight": "<string>"
      },
      "asset_type_id": 123,
      "completed_by": 123,
      "completed_on": "2023-11-07T05:31:56Z",
      "confirmed_on": "2023-11-07T05:31:56Z",
      "created_by": 123,
      "created_by_driver": true,
      "created_with_portal": true,
      "customer": {
        "account_number_1": "<string>",
        "account_number_2": "<string>",
        "addresses": [
          {
            "country": "<string>",
            "id": 123,
            "is_active": true,
            "is_billing": true,
            "is_physical": true,
            "is_shipping": true,
            "latitude": "<string>",
            "line_1": "<string>",
            "line_2": "<string>",
            "line_3": "<string>",
            "line_4": "<string>",
            "locality": "<string>",
            "longitude": "<string>",
            "postcode": "<string>",
            "region": "<string>"
          }
        ],
        "contacts": [
          {
            "email": "jsmith@example.com",
            "fax": "<string>",
            "id": 123,
            "name": "<string>",
            "notify_on_acknowledged_request": true,
            "notify_on_completed_request": true,
            "notify_on_dispatched_request": true,
            "notify_on_failed_request": true,
            "notify_on_new_request": true,
            "number": "<string>"
          }
        ],
        "created_on": "2023-11-07T05:31:56Z",
        "id": 123,
        "is_active": true,
        "last_updated_on": "2023-11-07T05:31:56Z",
        "location_id": 123,
        "locations": [
          {
            "created_on": "2023-11-07T05:31:56Z",
            "id": 123,
            "is_active": true,
            "last_updated_on": "2023-11-07T05:31:56Z",
            "location_id": 123,
            "renewal_date": "2023-11-07T05:31:56Z",
            "is_commercial": true,
            "note": "<string>",
            "reference_number": "<string>",
            "sales_rep": "<string>",
            "sales_rep_id": "<string>",
            "suspension_id": 123
          }
        ],
        "name": "<string>",
        "parent_id": 123,
        "renewal_date": "2023-11-07T05:31:56Z",
        "is_commercial": true,
        "note": "<string>",
        "reference_number": "<string>",
        "sales_rep": "<string>",
        "sales_rep_id": "<string>",
        "suspension_id": 123
      },
      "customer_id": 123,
      "customer_notes": "<string>",
      "departed_on": "2023-11-07T05:31:56Z",
      "desired_asset_desc": "<string>",
      "desired_end_time": "2023-11-07T05:31:56Z",
      "desired_start_time": "2023-11-07T05:31:56Z",
      "dispatch_priority": "<string>",
      "dispatched_by_route": 123,
      "dispatched_on": "2023-11-07T05:31:56Z",
      "dispatcher_notes": "<string>",
      "do_confirm": true,
      "driver_notes": "<string>",
      "dropped_asset": {
        "asset_type": {
          "deleted": true,
          "id": 123,
          "is_default": true,
          "location_id": 123,
          "name": "<string>",
          "quantity": 123,
          "require_numbers": true,
          "weight": "<string>"
        },
        "asset_type_id": 123,
        "cluster": 123,
        "customer_id": 123,
        "description": "<string>",
        "dispatched_on": "2023-11-07T05:31:56Z",
        "id": 123,
        "is_returned": true,
        "last_activity_on": "2023-11-07T05:31:56Z",
        "last_rental_invoice_on": "2023-11-07T05:31:56Z",
        "latitude": "<string>",
        "location": {
          "id": 123,
          "latitude": "<string>",
          "line_1": "<string>",
          "locality": "<string>",
          "longitude": "<string>",
          "region": "<string>",
          "line_2": "<string>",
          "line_3": "<string>",
          "line_4": "<string>",
          "postcode": "<string>"
        },
        "location_id": 123,
        "longitude": "<string>",
        "number": "<string>",
        "quantity": 123,
        "returned_on": "2023-11-07T05:31:56Z"
      },
      "dropped_number": "<string>",
      "dump_location": {
        "address": {
          "id": 123,
          "latitude": "<string>",
          "line_1": "<string>",
          "line_2": "<string>",
          "line_3": "<string>",
          "line_4": "<string>",
          "locality": "<string>",
          "longitude": "<string>",
          "postcode": "<string>",
          "region": "<string>"
        },
        "contact": {
          "email": "jsmith@example.com",
          "id": 123,
          "name": "<string>",
          "number": "<string>"
        },
        "description": "<string>",
        "id": 123,
        "is_holding_yard": true,
        "location_id": 123
      },
      "dump_location_id": 123,
      "dumped_on": "2023-11-07T05:31:56Z",
      "ends_at_customer": true,
      "fail_reason": "<string>",
      "final_location": {
        "address": {
          "id": 123,
          "latitude": "<string>",
          "line_1": "<string>",
          "line_2": "<string>",
          "line_3": "<string>",
          "line_4": "<string>",
          "locality": "<string>",
          "longitude": "<string>",
          "postcode": "<string>",
          "region": "<string>"
        },
        "contact": {
          "email": "jsmith@example.com",
          "id": 123,
          "name": "<string>",
          "number": "<string>"
        },
        "description": "<string>",
        "id": 123,
        "is_holding_yard": true,
        "location_id": 123
      },
      "final_location_id": 123,
      "flags": "<string>",
      "id": 123,
      "images": [
        {
          "height": 123,
          "id": 123,
          "s3_object": "<string>",
          "url": "<string>",
          "width": 123
        }
      ],
      "invoice_notes": "<string>",
      "is_acknowledged": true,
      "is_completed": true,
      "is_declined": true,
      "is_deleted": true,
      "is_failed": true,
      "is_paid": true,
      "is_separate_from_route_list": true,
      "job_group_id": 123,
      "last_updated_on": "2023-11-07T05:31:56Z",
      "line_1": "<string>",
      "location_id": 123,
      "merged_with_route_id": 123,
      "original_schedule_date": "2023-11-07T05:31:56Z",
      "pickup_date": "2023-11-07T05:31:56Z",
      "pickup_item": 123,
      "priority": 123,
      "recur_active": true,
      "recur_enabled": true,
      "reference_number": "<string>",
      "removed_number": "<string>",
      "requested_by": 123,
      "requested_on": "2023-11-07T05:31:56Z",
      "require_image": true,
      "require_material": true,
      "require_materials": true,
      "require_signature": true,
      "require_weights": true,
      "return_full": [
        {
          "bin_request_id": 123,
          "dumped_by": 123,
          "dumped_by_driver": true,
          "id": 123,
          "original_dest_id": 123,
          "original_dump_id": 123,
          "returned_by": 123,
          "returned_by_driver": true,
          "truck_id": 123,
          "yard_id": 123
        }
      ],
      "scale_ticket": "<string>",
      "schedule_date": "2023-11-07T05:31:56Z",
      "start_location": {
        "address": {
          "id": 123,
          "latitude": "<string>",
          "line_1": "<string>",
          "line_2": "<string>",
          "line_3": "<string>",
          "line_4": "<string>",
          "locality": "<string>",
          "longitude": "<string>",
          "postcode": "<string>",
          "region": "<string>"
        },
        "contact": {
          "email": "jsmith@example.com",
          "id": 123,
          "name": "<string>",
          "number": "<string>"
        },
        "description": "<string>",
        "id": 123,
        "is_holding_yard": true,
        "location_id": 123
      },
      "start_location_id": 123,
      "started_on": "2023-11-07T05:31:56Z",
      "starts_at_customer": true,
      "third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "times_failed": 123,
      "times_rolled_over": 123,
      "truck_id": 123,
      "type": "<string>",
      "weighed_on": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "total_pages": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Query Parameters

completed
boolean

If true, return only records marked completed. If false, return only records marked incomplete. If unspecified, return all.

completed_by
integer

Driver or dispatcher identifier.

completed_by_driver
boolean

If true, return only records marked completed by a driver. If false, return only records marked incomplete. If unspecified, return all.

created_on_gte
string<date-time>

Return records created on or after the specified date. If unspecified, return all.

deleted
boolean

If true, return only active records. If false, return only inactive records. If unspecified, return all.

driver_id
string

If specified, return only records matching this driver. If unspecified, return all.

failed
boolean

If true, return only records marked deleted. If false, return only records marked as deleted. If unspecified, return all.

is_dispatched
boolean

Filter jobs based on dispatch status. If true, records with a valid truck_id (dispatched) are returned. If false, records with no truck_id (not dispatched) are returned. If null, all records are returned.

last_updated_gte
string<date-time>

Return only records updated after (must be in past). If unspecified, return all.

page_index
integer

Paged results page index (starting from 1).

page_limit
integer

Maximun number of results per page.

returned_by
integer

Driver or dispatcher identifier.

returned_by_driver
boolean

Return only records returned by driver when TRUE.

schedule_gt
string<date-time>

Return only jobs scheduled after. If unspecified, return all.

schedule_gte
string<date-time>

Return only jobs scheduled on or after. If unspecified, return all.

schedule_lt
string<date-time>

Return only jobs scheduled before.

schedule_lte
string<date-time>

Return only jobs scheduled on or before.

truck_id
integer<int64>

If specified, return only records matching this truck. If unspecified, return all.

Response

200 - application/json

Success

Job list (paged).

current_limit
integer
required

Maximun number of results per page.

current_page
integer
required

Paged results page index (starting from 1).

results
object[]
required
total_count
integer
required

Paged results total viewable records.

total_pages
integer
required

Paged results total pages.